%define packagename Getopt-Function
%define packageversion 0.017
%define release 1
%define makeopts ""
%define makemakeropts ""
%define makeperlopts ""

Name:      perl-%{packagename}
Version:   %{packageversion}
Release:   %{release}
Group:     Development/Languages/Perl
Source:    Getopt-Function-0.017.tar.gz
Copyright: Probably the same terms as perl.  Check.
BuildRoot: /var/tmp/Getopt-Function-0.017
Provides:  perl-%{packagename}
Summary:   The Perl package Getopt-Function

%description
This package contains the perl module Getopt-Function.

The B<aim> of this module is to make it easy to provide sophisticated and
complex interfaces to commands in a simple to use and clear manner
with proper help facilities.

It is designed to do this by making it possible to write the options,
with documentation and subroutines to implement them, directly into a
hash and then call the appropriate ones as options detected on the
command line.

=head2 $gto = new Getopt::Function

This constructor takes two arguments.  the first is a reference to a
list of options names in Getopt::Mixed format (see the documentation
for Getopt::Mixed), but with options grouped in strings with their
different forms.

The second argument is a reference to a hash of option functions and
descriptions.  Example:-

new Getopt::Function
[ "red r>red", "green g>green",
"bright=s b>bright"] ,
{ "red" => [ &maketrue,
"print using red" ],
"green" => [ sub { print STERR "warning: the green isn't very "
. "good\n"; &maketrue},
"print using green" ],
"bright" => [ &makevalue, "set brightness", "INTENSITY" ],
}

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Getopt-Function-0.017



%build
CFLAGS="$RPM_OPT_FLAGS" perl  Makefile.PL 
make



%install
rm -rf $RPM_BUILD_ROOT



#run install script first so we can pick up all of the files


eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v ".packlist" > Getopt-Function0.017.filelist
if [ "$(cat Getopt-Function0.017.filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi



%clean



rm -rf $RPM_BUILD_ROOT

%pre



%post



%preun



%postun



%verifyscript



%files -f Getopt-Function0.017.filelist

%doc README
%doc COPYING


%changelog
* Thu Nov 22 2001 18:30:50 autogenerated
- by  <root@localhost.localdomain>
- using MakeRPM:
- makerpm 0.210 2001/01/17, (C) 1999 Jochen Wiedmann (C) 2001 Michael De La Rue
- $Id: makerpm.pl,v 1.20 2001/06/02 19:57:56 mikedlr Exp $
